import React from 'react';

import Typography from '@material-ui/core/Typography';

var variant = {
    'h1': 'headline',
    'h2': 'title',
    'h3': 'subheading',
    'h4': 'body2'
};

export default function H1(props) {
    var label = props.label,
        options = props.options;
    var titleType = options.titleType;


    return React.createElement(
        Typography,
        {
            variant: variant[titleType],
            component: titleType
        },
        label
    );
};