'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CustomFieldTemplate(props) {
    var id = props.id,
        classNames = props.classNames,
        label = props.label,
        help = props.help,
        required = props.required,
        description = props.description,
        errors = props.errors,
        children = props.children;


    return _react2.default.createElement(
        'div',
        { className: classNames, style: { marginTop: '16px', marginBottom: '8px' } },
        description,
        children,
        errors,
        help
    );
}

exports.default = CustomFieldTemplate;
module.exports = exports['default'];